[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: gnu-latest.tar.gz

On Sat, 2003-03-08 at 06:11, Alfred M. Szmidt wrote:
>    sh-2.05a# su USER
>    bash-2.05a$ ps xa
>    the password server isn't loaded again, and the system automatically 
>    load /hurd/pflocal /hurd/magic tty
> Because su (the one from coreutils) does not use the password
> translator (atleast directly, don't recall the details); compared to
> login, which does.
> Try using the x command (an Hurdish su, but I don'r remeber if it is
> installed by default), you should be able to get the lovely
> authentication failure message there. =) To find the bug though you
> should compile things with debugging symbols and run the evil programs
> in gdb.

 x didn't even compile the last time I tried it so I doubt it works. 
However, there is a shell script sush that uses login, so it could be
used to reproduce this error :)


Reply to: